clang-tools 8.0.0

Namespaces | Functions
XRefs.h File Reference
`#include "ClangdUnit.h"`
`#include "Protocol.h"`
`#include "index/Index.h"`
`#include "llvm/ADT/Optional.h"`
`#include <vector>`
Include dependency graph for XRefs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::vector< Location > | clang::clangd::findDefinitions (ParsedAST &AST, Position Pos, const SymbolIndex *Index=nullptr)
| Get definition of symbol at a specified `Pos`. More...
std::vector< DocumentHighlight > | clang::clangd::findDocumentHighlights (ParsedAST &AST, Position Pos)
| Returns highlights for all usages of a symbol at `Pos`. More...
llvm::Optional< Hover > | clang::clangd::getHover (ParsedAST &AST, Position Pos)
| Get the hover information when hovering at `Pos`. More...
std::vector< Location > | clang::clangd::findReferences (ParsedAST &AST, Position Pos, uint32_t Limit, const SymbolIndex *Index=nullptr)
| Returns reference locations of the symbol at a specified `Pos`. More...
std::vector< SymbolDetails > | clang::clangd::getSymbolInfo (ParsedAST &AST, Position Pos)
| Get info about symbols at `Pos`. More...